Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.webapp
Class Configuration

    java.lang.Object
      org.mortbay.jetty.webapp.WebXmlConfiguration
          org.mortbay.jetty.plus.webapp.AbstractConfiguration
              org.mortbay.jetty.plus.webapp.Configuration

All Implemented Interfaces:
  Serializable, Configuration

Direct Known Subclasses:
  Jetty6MavenConfiguration

    public class Configuration

extends AbstractConfiguration

Configuration

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration
`_constraintMappings, _context, _defaultWelcomeFileList, _errorPages, _filterMappings, _filters, _hasJSP, _jspServletName, _listeners, _servletHandler, _servletMappings, _servlets, _version, _welcomeFiles, _xmlParser`

Constructor Summary
`Configuration()`

Method Summary
`void` | `bindEnvEntry(String name, Object value)`
`void` | `bindMessageDestinationRef(String name, Class typeClass)`
`void` | `bindResourceEnvRef(String name, Class typeClass)`
`void` | `bindResourceRef(String name, Class typeClass)`
`void` | `bindUserTransaction()`
`void` | `configureClassLoader()` Configure ClassPath.
`void` | `configureDefaults()` Configure Defaults.
`void` | `configureWebApp()` Configure WebApp.
`void` | `deconfigureWebApp()` DeConfigure WebApp.
`protected void` | `lockCompEnv()`
`protected void` | `unlockCompEnv()`

Methods inherited from class org.mortbay.jetty.plus.webapp.AbstractConfiguration
`callPreDestroyCallbacks, configure, initEnvEntry, initialize, initInjection, initMessageDestinationRef, initPostConstruct, initPreDestroy, initResourceEnvRef, initResourceRef, initWebXmlElement, injectAndCallPostConstructCallbacks, parseAnnotations`

Methods inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration
`findWebXml, getJSPServletName, getWebAppContext, initContextParam, initDisplayName, initDistributable, initErrorPage, initFilter, initFilterMapping, initJspConfig, initListener, initLocaleEncodingList, initLoginConfig, initMimeConfig, initSecurityConstraint, initSecurityRole, initServlet, initServletMapping, initSessionConfig, initTagLib, initWelcomeFileList, newListenerInstance, normalizePattern, setWebAppContext, webXmlParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configuration

    public Configuration()

Method Detail

### bindEnvEntry

    public void bindEnvEntry(String name,
                             Object value)
                      throws Exception

  Specified by:
    `bindEnvEntry` in class `AbstractConfiguration`
  Parameters:
    `name` -
    `value` -
  Throws:
    `Exception`
  See Also:
    `org.mortbay.jetty.plus.webapp.AbstractConfiguration#bindEnvEntry(java.lang.String, java.lang.String)`

### bindResourceRef

    public void bindResourceRef(String name,
                                Class typeClass)
                         throws Exception

  Specified by:
    `bindResourceRef` in class `AbstractConfiguration`
  Parameters:
    `name` -
  Throws:
    `Exception`
  See Also:
    `org.mortbay.jetty.plus.webapp.AbstractConfiguration#bindResourceRef(java.lang.String)`

### bindResourceEnvRef

    public void bindResourceEnvRef(String name,
                                   Class typeClass)
                            throws Exception

  Specified by:
    `bindResourceEnvRef` in class `AbstractConfiguration`
  Parameters:
    `name` -
  Throws:
    `Exception`
  See Also:
    `org.mortbay.jetty.plus.webapp.AbstractConfiguration#bindResourceEnvRef(java.lang.String)`

### bindMessageDestinationRef

    public void bindMessageDestinationRef(String name,
                                          Class typeClass)
                                   throws Exception

  Specified by:
    `bindMessageDestinationRef` in class `AbstractConfiguration`
  Throws:
    `Exception`

### bindUserTransaction

    public void bindUserTransaction()
                             throws Exception

  Specified by:
    `bindUserTransaction` in class `AbstractConfiguration`
  Throws:
    `Exception`

### configureClassLoader

    public void configureClassLoader()
                              throws Exception

  Description copied from class: `WebXmlConfiguration`
  Configure ClassPath.

  Specified by:
    `configureClassLoader` in interface `Configuration`
  Overrides:
    `configureClassLoader` in class `WebXmlConfiguration`
  Throws:
    `Exception`

### configureDefaults

    public void configureDefaults()
                           throws Exception

  Description copied from interface: `Configuration`
  Configure Defaults. This method is called to intialize the context to the containers default configuration. Typically this would mean application of the webdefault.xml file.

  Specified by:
    `configureDefaults` in interface `Configuration`
  Overrides:
    `configureDefaults` in class `AbstractConfiguration`
  Throws:
    `Exception`

### configureWebApp

    public void configureWebApp()
                         throws Exception

  Description copied from interface: `Configuration`
  Configure WebApp. This method is called to apply the standard and vendor deployment descriptors. Typically this is web.xml and jetty-web.xml.

  Specified by:
    `configureWebApp` in interface `Configuration`
  Overrides:
    `configureWebApp` in class `AbstractConfiguration`
  Throws:
    `Exception`

### deconfigureWebApp

    public void deconfigureWebApp()
                           throws Exception

  Description copied from interface: `Configuration`
  DeConfigure WebApp. This method is called to undo all configuration done to this webapphandler. This is called to allow the context to work correctly over a stop/start cycle

  Specified by:
    `deconfigureWebApp` in interface `Configuration`
  Overrides:
    `deconfigureWebApp` in class `AbstractConfiguration`
  Throws:
    `Exception`

### lockCompEnv

    protected void lockCompEnv()
                        throws Exception

  Throws:
    `Exception`

### unlockCompEnv

    protected void unlockCompEnv()
                          throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.